PUT /contact_field_views/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_views/:id

Update record by id.

Updates an Agent Script's title, HTML script content, associated token fields, or display order. Marking a script as the default for its offer automatically un-defaults any other script on that same offer.

Params

Param name Description
offer_id
Optional

Assign the record to this Offer.

title
Optional

Agent Script Display Name

  • Must be a String

fields_type
Optional Blank value allowed

A unique value that will be submitted with leads to select this field type and agent script.

  • Must be a String

script_html
Optional Blank value allowed

This script will be displayed to agents when they are answering calls from consumers. Contact fields in this script will be replaced with inputs, allowing the agent to enter responses inline in the script.

  • Must be a String

token_keys
Optional Blank value allowed

These fields will be visible when this field_type is selected.

  • Must be an array of any type

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

is_default
Optional Blank value allowed

Uses this Agent Script by default when a call doesn’t match any other Agent Script’s filters.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

script_javascript
Optional Blank value allowed

Custom JavaScript run alongside this Agent Script while agents are on the call.

  • Must be a String

jornaya_campaign_id
Optional Blank value allowed

The Jornaya campaign id associated with this Agent Script.

  • Must be a String

use_when_tokens_match
Optional Blank value allowed

Only uses this Agent Script for calls matching the token filters below.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

token_value_ids
Optional Blank value allowed

Only uses this Agent Script for calls matching these token values.
Obtain token value ids from the Token Values collection.

attribution_token_value_ids
Optional Blank value allowed

When this Agent Script is used on a call, the call will be tagged with these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value